<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_AbsenceCodes StructType
 * @subpackage Structs
 */
class Get_AbsenceCodes extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AbsenceCodesSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AbsenceCodeSelection
     */
    public $AbsenceCodesSelection;
    /**
     * Constructor method for Get_AbsenceCodes
     * @uses Get_AbsenceCodes::setLogin()
     * @uses Get_AbsenceCodes::setAbsenceCodesSelection()
     * @param \StructType\Login $login
     * @param \StructType\AbsenceCodeSelection $absenceCodesSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\AbsenceCodeSelection $absenceCodesSelection = null)
    {
        $this
            ->setLogin($login)
            ->setAbsenceCodesSelection($absenceCodesSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_AbsenceCodes
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AbsenceCodesSelection value
     * @return \StructType\AbsenceCodeSelection|null
     */
    public function getAbsenceCodesSelection()
    {
        return $this->AbsenceCodesSelection;
    }
    /**
     * Set AbsenceCodesSelection value
     * @param \StructType\AbsenceCodeSelection $absenceCodesSelection
     * @return \StructType\Get_AbsenceCodes
     */
    public function setAbsenceCodesSelection(\StructType\AbsenceCodeSelection $absenceCodesSelection = null)
    {
        $this->AbsenceCodesSelection = $absenceCodesSelection;
        return $this;
    }
}
